summaryrefslogtreecommitdiffstats
path: root/jjb/3rd_party_ci/download-netvirt-artifact.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/3rd_party_ci/download-netvirt-artifact.sh')
-rwxr-xr-xjjb/3rd_party_ci/download-netvirt-artifact.sh11
1 files changed, 3 insertions, 8 deletions
diff --git a/jjb/3rd_party_ci/download-netvirt-artifact.sh b/jjb/3rd_party_ci/download-netvirt-artifact.sh
index be2d4059a..fe8066cb8 100755
--- a/jjb/3rd_party_ci/download-netvirt-artifact.sh
+++ b/jjb/3rd_party_ci/download-netvirt-artifact.sh
@@ -1,12 +1,7 @@
#!/bin/bash
-set -e
-
-if [ -z ${WORKSPACE} ]; then
- echo "WORKSPACE is unset. Please do so."
- exit 1
-fi
-# wipe the WORKSPACE
-/bin/rm -rf $WORKSPACE/*
+set -o errexit
+set -o nounset
+set -o pipefail
echo "Attempting to fetch the artifact location from ODL Jenkins"
CHANGE_DETAILS_URL="https://git.opendaylight.org/gerrit/changes/netvirt~master~$GERRIT_CHANGE_ID/detail"